## MateCanvasRect MateCanvasRect — Rectangle canvas item |

## Synopsis

    #include <libmatecanvas/libmatecanvas.h>

    struct              MateCanvasRect;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----MateCanvasItem
                         +----MateCanvasShape
                               +----MateCanvasRE
                                     +----MateCanvasRect

## Description

A canvas item for drawing rectangles and squares. The parameters are defined in the parent classes including MateCanvasRE which is shared with MateCanvasEllipse items as well.

## Details

### struct MateCanvasRect

    struct MateCanvasRect;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.